astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Astrostatistics Tools (`astropy.stats`) »
- PointMeasures

# PointMeasures

class `astropy.stats.``PointMeasures`(p0=0.05, gamma=None, ncp_prior=None)

  Bases: `astropy.stats.FitnessFunc`

  Bayesian blocks fitness for point measures

  Parameters:

  p0 : float (optional)

  > False alarm probability, used to compute the prior on N_{\rm blocks} (see eq. 21 of Scargle 2012). If gamma is specified, p0 is ignored.

  ncp_prior : float (optional)

  > If specified, use the value of `ncp_prior` to compute the prior as above, using the definition {\tt ncp\_prior} = -\ln({\tt gamma}). If `ncp_prior` is specified, `gamma` and `p0` are ignored.

  Methods Summary

  `fitness`(a_k, b_k) |
  `validate_input`(t, x, sigma) |

  Methods Documentation

  `fitness`(a_k, b_k)
  `validate_input`(t, x, sigma)